// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       msg_node_parser.h
 *  \brief      メッセージノードの解析
 *  \date       Since: May 7, 2023. 21:53:44 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_MSG_NODE_PARSER_H_1683464024
#define INCGUARD_MSG_NODE_PARSER_H_1683464024

#include <list>
#include <memory>

#include "msg_node.h"

#include "msg_node_color.h"
#include "msg_node_face.h"
#include "msg_node_reset.h"
#include "msg_node_ruby.h"
#include "msg_node_subst.h"
#include "msg_node_text.h"

namespace msgconv
{
bool ParseMesasge(std::vector<std::unique_ptr<MsgNode>> &nodes, const std::string &message) noexcept;
}   // namespace msgconv

#endif	// INCGUARD_MSG_NODE_PARSER_H_1683464024

// vim: et ts=4 sw=4 sts=4
